Bug 1292462

Summary: FTBFS: segmentation fault during 'make check'
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: python3Assignee: Charalampos Stratakis <cstratak>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 24CC: bkabrda, jberan, pviktori, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-31 12:39:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1292461    
Bug Blocks: 1071880, 1287556, 1292467    

Description Karsten Hopp 2015-12-17 14:18:26 UTC
Description of problem:
python3 segfaults while running the testInfiniteRecursion test:

testExceptionCleanupState (test.test_exceptions.ExceptionTests) ... ok
testInfiniteRecursion (test.test_exceptions.ExceptionTests) ... Fatal Python error: Segmentation fault
Current thread 0x00003fff9ce96110 (most recent call first):
  File "/builddir/build/BUILD/Python-3.5.1/Lib/test/test_exceptions.py", line 487 in f
  File "/builddir/build/BUILD/Python-3.5.1/Lib/test/test_exceptions.py", line 487 in f
...
/var/tmp/rpm-tmp.yUjAFn: line 40:  2986 Segmentation fault      (core dumped) WITHIN_PYTHON_RPM_BUILD= LD_LIBRARY_PATH=$ConfDir $ConfDir/python -m test.regrtest --verbose --findleaks -x test_distutils -x test_gdb

Version-Release number of selected component (if applicable):
python3-3.5.1-1.fc24

How reproducible:


Steps to Reproduce:
1. ppc-koji build --scratch f24 python3-3.5.1-1.fc24.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2993404

Expected results:


Additional info:

ulimit -s 16384  works around this issue

Comment 1 Karsten Hopp 2015-12-22 09:53:27 UTC
fixed in python3-3.5.1-2.fc24 so that we can proceed on secondary archs, but needs review

Comment 2 Fedora Admin XMLRPC Client 2016-01-29 13:07:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jan Kurik 2016-02-24 15:32:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Charalampos Stratakis 2016-08-31 12:39:24 UTC
scratch build from ppc koji that verifies the fix:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3658934

Comment 5 Charalampos Stratakis 2016-09-19 14:56:20 UTC
Also I tested again by doing a ppc-koji scratch build for rawhide with the workaround disabled and the builds finished successfully now without a segfault, so the workaround is not needed anymore.

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3725816